Subject: Re: [PATCH v2 3/5] pkt-line: extract and use `set_packet_header` function

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Jul 2016 17:20:03 -0700

[email-masked] writes:

> From: Lars Schneider <[email-masked]>
>
> `set_packet_header` converts an integer to a 4 byte hex string. Make
> this function publicly available so that other parts of Git can easily
> generate a pkt-line.

I think that having to do this is a strong sign that the design of
this series is going in a wrong direction.

If you need a helper function that writes a pkt-line format that
behaves differently from what is already available (for example,
packet_write()), it would be much better to design that new function
so that it would be generally useful and add that to pkt-line.[ch],
instead of creating random helper functions that use write(2)
directly, bypassing pkt-line API, to write stuff.

In other words, do not _mimick_ pkt-line; enhance pkt-line as
necessary and use it.